org.eclipse.jetty.webapp

## Class MetaData.OriginInfo

- java.lang.Object
- - org.eclipse.jetty.webapp.MetaData.OriginInfo

Enclosing class:
  MetaData

    public static class MetaData.OriginInfo
    extends Object

### Field Summary

Fields
`protected Descriptor` `descriptor`
`protected String` `name`
`protected Origin` `origin`

### Constructor Summary

Constructors
Constructor and Description
`MetaData.OriginInfo(String n)`
`MetaData.OriginInfo(String n, Descriptor d)`
`MetaData.OriginInfo(String n, Origin o)`

### Method Summary

Methods
`Descriptor` `getDescriptor()`
`String` `getName()`
`Origin` `getOriginType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected String name

#### origin

    protected Origin origin

#### descriptor

    protected Descriptor descriptor

### Constructor Detail

#### MetaData.OriginInfo

    public MetaData.OriginInfo(String n,
                       Descriptor d)

#### MetaData.OriginInfo

    public MetaData.OriginInfo(String n)

#### MetaData.OriginInfo

    public MetaData.OriginInfo(String n,
                       Origin o)

### Method Detail

#### getName

    public String getName()

#### getOriginType

    public Origin getOriginType()

#### getDescriptor

    public Descriptor getDescriptor()